local _, addon = ...

-- functions
local strsplit = strsplit
local C_ChallengeMode = C_ChallengeMode
local C_ChallengeMode_GetMapInfo = C_ChallengeMode.GetMapInfo
-- constants
-- frames
-- libs

function addon:GetKeystoneInformation(link)
    local info = {strsplit(":", link)}

    local instanceMapId = tonumber(info[2])
    local instanceName = select(1, C_ChallengeMode_GetMapInfo(instanceMapId))

    local level = tonumber(info[3])

    local isDepleted = 1 ~= tonumber(info[4])

    return link, instanceMapId, instanceName, level, isDepleted
end
